public inbox for gentoo-python@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-python@lists.gentoo.org
Cc: "Michał Górny" <mgorny@gentoo.org>
Subject: [gentoo-python] [PATCH 1/6] [python-any-r1] use PYTHON_PKG_DEP for generating deps.
Date: Mon, 22 Jul 2013 11:50:17 +0200	[thread overview]
Message-ID: <1374486622-15791-1-git-send-email-mgorny@gentoo.org> (raw)
In-Reply-To: <20130722114917.4f8d4b9a@gentoo.org>

I must have missed it when converting the other two eclasses.
---
 gx86/eclass/python-any-r1.eclass | 24 ++++++------------------
 1 file changed, 6 insertions(+), 18 deletions(-)

diff --git a/gx86/eclass/python-any-r1.eclass b/gx86/eclass/python-any-r1.eclass
index 087efb2..aa11cf7 100644
--- a/gx86/eclass/python-any-r1.eclass
+++ b/gx86/eclass/python-any-r1.eclass
@@ -118,27 +118,15 @@ _python_build_set_globals() {
 	[[ ${PYTHON_REQ_USE} ]] && usestr="[${PYTHON_REQ_USE}]"
 
 	PYTHON_DEPS=
-	local i
+	local i PYTHON_PKG_DEP
 	for i in "${_PYTHON_ALL_IMPLS[@]}"; do
-		if has "${i}" "${PYTHON_COMPAT[@]}"
-		then
-			local d
-			case ${i} in
-				python*)
-					d='dev-lang/python';;
-				jython*)
-					d='dev-java/jython';;
-				pypy*)
-					d='dev-python/pypy';;
-				*)
-					die "Invalid implementation: ${i}"
-			esac
+		has "${i}" "${PYTHON_COMPAT[@]}" || continue
 
-			local v=${i##*[a-z]}
-			PYTHON_DEPS="${d}:${v/_/.}${usestr} ${PYTHON_DEPS}"
-		fi
+		python_export "${i}" PYTHON_PKG_DEP
+
+		PYTHON_DEPS="${PYTHON_PKG_DEP} ${PYTHON_DEPS}"
 	done
-	PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
+	PYTHON_DEPS="|| ( ${PYTHON_DEPS} )"
 }
 _python_build_set_globals
 
-- 
1.8.3.2



  reply	other threads:[~2013-07-22  9:50 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-07-22  9:49 [gentoo-python] [PATCH] Eclass support for pypy-bin Michał Górny
2013-07-22  9:50 ` Michał Górny [this message]
2013-07-27  9:39   ` [gentoo-python] [PATCH 1/6] [python-any-r1] use PYTHON_PKG_DEP for generating deps Michał Górny
2013-07-22  9:51 ` [gentoo-python] [PATCH 2/6] [python-any-r1] do not use has_version() for interpreter checks Michał Górny
2013-07-27  9:45   ` Michał Górny
2013-07-22  9:51 ` [gentoo-python] [PATCH 3/6] [python-utils-r1] Reorder PYTHON_PKG_DEP gen Michał Górny
2013-07-22  9:51 ` [gentoo-python] [PATCH 4/6] [python-utils-r1] Support pypy-bin in PYTHON_PKG_DEP Michał Górny
2013-07-22  9:51 ` [gentoo-python] [PATCH 5/6] [python-distutils-ng] Support pypy-bin Michał Górny
2013-07-22  9:51 ` [gentoo-python] [PATCH 6/6] [python.eclass] Support pypy-bin in python_get_implement Michał Górny
2013-07-27 11:22 ` [gentoo-python] [PATCH] Eclass support for pypy-bin Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1374486622-15791-1-git-send-email-mgorny@gentoo.org \
    --to=mgorny@gentoo.org \
    --cc=gentoo-python@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox